Subject: Re: ange-ftp chmode fails on unix host

From: TK Harris <[email-masked]>
Date: Sun, 6 Apr 1997 16:32:29 -0500 (Central Daylight Time)

> I'm just starting with ntemacs 19.34.1 on Win95.  I got the latest patched
> ftp.exe and ange-ftp.el.
> 
> I need ange-ftp & dired to work together properly when the remote host is
> unix.  How can I do that?  Locally on Win95, using dired on a remote unix
> host's directory through ange-ftp, and typing M to change the protection
> mode of the remote file, returns
> 
> chmode ("666" "lsfpmon.log.alpha6")
> Unknown remote command: chmode
> 
> chmode 666: error
> 	Sat Apr 05 13:22:39 1997	Buffer `lsflog'
> 
> I take it that "chmode" is the nt-version of "chmod" in unix?

In ange-ftp.el, the line

	  (cond ((equal "chmod" program)

should be

	  (cond ((equal dired-chmod-program program)

And somehow it should know to refresh the a direcry list as well.

TK Harris, IT Manager                      (601) 969-1434
NetDoor -> http://www.netdoor.com     FAX: (601) 969-3838